# $Revision: 1.10 $, $Date: 2002/07/07 11:17:06 $
Summary:	AutoTrace - convert bitmap to vector graphics
Summary(pl):	AutoTrace - konwerter grafiki rastrowej do wektorowej
Name:		autotrace
Version:	0.30
Release:	1
License:	GPL
Group:		Applications
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/autotrace/%{name}-%{version}.tar.gz
Patch0:		%{name}-shared.patch
URL:		http://autotrace.sourceforge.net/
BuildRequires:	ImageMagick-devel >= 5.2.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libpng-devel >= 1.0.6
BuildRequires:	ming-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoTrace is a utility that converts bitmap to vector graphics. It can
import p[nbgp]m, bmp, tga, png (and many more through ImageMagick)
files and write to emf, eps, ai, er, fig, svg, sk and swf files.

%description -l pl
AutoTrace jest narzdziem do konwersji grafiki rastrowej na wektorow.
Moe wczytywa pliki p[nbgp]m, bmp, tga, png (i wiele innych przez
ImageMagick, a zapisywa w formacie emf, eps, ai, er, fig, svg, sk
oraz swf.

%package devel
Summary:	AutoTrace library development files
Summary(pl):	Pliki dla programistw uywajcych biblioteki AutoTrace
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
AutoTrace library header files.

%description devel -l pl
Pliki nagwkowe do biblioteki AutoTrace.

%package static
Summary:	AutoTrace static library
Summary(pl):	Biblioteka statyczna AutoTrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
AutoTrace static library.

%description static -l pl
Biblioteka statyczna AutoTrace.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/autotrace
%attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_bindir}/autotrace-config
%{_includedir}/autotrace
%{_aclocaldir}/autotrace.m4
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: autotrace.spec,v $
Revision 1.10  2002/07/07 11:17:06  qboosh
- updated to 0.30 (bug fixes, more export formats)
- updated shared patch, removed obsolete magick patch
- fixed empty -static package, updated files list, new %%doc

Revision 1.9  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 15:50:29  arturs
fixed a small typo

Revision 1.6  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/26 18:20:47  qboosh
- BuildRequires: libtool

Revision 1.2  2001/10/25 22:01:34  qboosh
- adapterized

Revision 1.1  2001/10/25 21:47:46  qboosh
- up to 0.27a, renamed AutoTrace.spec to autotrace.spec, updated URLs
- shared patch to make shared library, magick patch with Magick API update

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.2  2000/03/17 14:16:15  cieciwa
- moved binaries to /usr/X11R6,
- adding Buildrequires.

Revision 1.1  2000/03/17 10:40:13  cieciwa
- first version of spec,
- build rpm.
